package fr.iutfbleau.projetIHM2022FI2.MP.ROOT.Controller;
import java.awt.Color;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import fr.iutfbleau.projetIHM2022FI2.MP.ROOT.View.FenetreSelectionEtu;
/**
 * listener pour la selection des etudiants
 */
public class SelecteurEtudiant implements MouseListener{
	// la fenetre de selection
    private FenetreSelectionEtu pere;
	// l'index de l'etudiant
    private int index;
		/**
		 * le constructeur
		 * @param index l'index de l'etudiant
		 * @param pere la fenetre de selection
		 */
    public SelecteurEtudiant(int index, FenetreSelectionEtu pere){
        this.pere=pere;
        this.index=index;
    }
		/**
		 * méthode invoquée lors d'un clic
		 * @param e l'événement
		 */
    @Override
    public void mouseClicked(MouseEvent e) {
        if(e.getComponent().getBackground()!=Color.GREEN){
            e.getComponent().setBackground(Color.GREEN);
            this.pere.addList(this.index);
        }else{
            this.pere.removeList(this.index);
            e.getComponent().setBackground(e.getComponent().getParent().getBackground());
        }
    }

    @Override
    public void mouseEntered(MouseEvent e) {
      
    }

    @Override
    public void mouseExited(MouseEvent e) {

    }

    @Override
    public void mousePressed(MouseEvent e) {

    }

    @Override
    public void mouseReleased(MouseEvent e) {

    }
    
}
